Subject: Re: bug#54646: 29.0.50; set-fontset-font and font clipping issues

From: Visuwesh <[email-masked]>
Date: Thu, 31 Mar 2022 13:05:09 +0530

[வியாழன் மார்ச் 31, 2022] Eli Zaretskii wrote:

>> From: Visuwesh <[email-masked]>
>> Cc: [email-masked]
>> Date: Thu, 31 Mar 2022 12:33:47 +0530
>> 
>> >   . go to the problematically-displayed text and type "C-u C-x =",
>> >     then compare what you see with the results of "C-u C-x =" for
>> >     the same text when it is correctly displayed
>> >
>> 
>> The *Help* buffer also has incorrectly shaped text.
>
> That's not what I meant.  I meant to save the information from *Help*
> when the text is displayed incorrectly, and then compare it with what
> "C-u C-x =" produces when the same text is displayed correctly
> (presumably, if you restart Emacs?).
>

Ah, upon re-reading I see what you meant.  Sorry about that, I will do
that as well.

>> >> [2] Modifying the fontset in `server-after-make-frame-hook' does not
>> >>     make a difference.  I don't see the issue when I do not use the
>> >>     daemon but I believe I haven't run the non-daemon session long
>> >>     enough.
>> >
>> > Then please try running such a non-daemon session longer.  It is
>> > important to know whether this is at all related to daemon.
>> >
>> 
>> Yes, I will do and see if there are any changes.
>
> Thanks.